Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_cbm4/cbm4.spc
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_cbm4/cbm4.spc	(revision 3298)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_cbm4/cbm4.spc	(revision 3298)
@@ -0,0 +1,40 @@
+{cbm4.spc}
+
+#include atoms
+
+#DEFVAR
+ NO          = N + O ;       {nitric oxide}
+ NO2         = N + 2O ;      {nitrogen dioxide}
+ NO3         = N + 3O ;      {nitrogen trioxide}
+ N2O5        = 2N + 5O ;     {dinitrogen pentoxide}
+ HONO        = H + 2O + N ;  {nitrous acid}
+ HNO3        = H + N + 3O ;  { nitric acid }
+ PNA         = H + 4 O + N ; {HO2NO2 peroxynitric acid}
+ O1D_CB4     = O ;           {oxygen atomic first singlet state}
+ O           = O ;           {oxygen atomic ground state (3P)}
+ HO          = O + H ;       {hydroxyl radical}
+ O3          = 3O ;          {ozone}
+ HO2         = H + 2O ;      {perhydroxyl radical}
+ H2O2        = 2H + 2O ;     {hydrogen peroxide}
+ HCHO        = C + 2H + O ;  {formalydehyde}
+ ALD2        = IGNORE ;      {high molecular weight aldehides}
+ C2O3        = 2C + 3H + 3O ; {CH3CO(O)OO peroxyacyl radical}
+ PAN         = 2C + 3H + 5O + N ; {CH3C(O)OONO2, peroxyacyl nitrate}
+ PAR         = IGNORE ;      {parafin carbon bond}
+ ROR         = IGNORE ;      {secondary organic oxy radical}
+ OLE         = IGNORE ;      {olefinic carbon bond}
+ ETH         = 2C + 4H ;     {CH2=CH2 ethene}
+ TOL         = 7C + 8H ;     {C6H5-CH3 toluene}
+ CRES        = IGNORE ;      {cresol and h.m.w. phenols}
+ TO2         = IGNORE ;      {toluene-hydroxyl radical adduct}
+ CRO         = IGNORE ;      {methylphenoxy radical}
+ OPEN        = IGNORE ;      {h.m.w. aromatic oxidation ring fragment}
+ XYL         = 8C + 10H ;    {C6H4-(CH3)2 xylene}
+ MGLY        = 3C + 4H + 2O ; {CH3C(O)C(O)H methylglyoxal}
+ ISOP        = IGNORE ;      {isoprene}
+ XO2         = IGNORE ;      {NO-to-NO2 operation}
+ XO2N        = IGNORE ;      {NO-to-nitrate operation}          
+ CO          = C + O ;       {carbon monoxide}
+#DEFFIX
+ H2O = H + 2O ;      {water}
+
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_cbm4/chem_gasphase_mod.kpp
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_cbm4/chem_gasphase_mod.kpp	(revision 3298)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_cbm4/chem_gasphase_mod.kpp	(revision 3298)
@@ -0,0 +1,56 @@
+//chem_gasphase_mod.kpp
+//
+//Former revisions
+//----------------
+// $Id: chem_gasphase_mod.kpp 2459 2017-09-13 14:10:33Z forkel $
+//
+#include      cbm4.spc
+#include      cbm4.eqn
+#INTEGRATOR rosenbrock
+#LANGUAGE   Fortran90
+#HESSIAN    on
+#STOICMAT   on
+//
+#INLINE F90_GLOBAL
+! QVAP - Water vapor
+  REAL(kind=dp) :: QVAP
+! FAKT - Conversion factor
+  REAL(kind=dp) :: FAKT
+
+  !   Declaration of global variable declarations for photolysis will come from INLINE F90_DATA
+#ENDINLINE
+//
+// *******************************************************************************************
+// *** adapt the lines below occurding to the photolysis reactions of your mechanism         *
+// *** adapt the number of photolysis frequencies NPHO                                       *
+// *** adapt/extend the indices in the INTEGER, PARAMETER,PUBLIC statement below             *
+// *** adapt/extend PHOT_NAMES: Note that the order of PHOT_NAMES and the indices must match *
+// *******************************************************************************************
+//
+#INLINE F90_DATA
+  !   INLINE F90_DATA: Declaration of global variables for photolysis
+  !   REAL(kind=dp) :: phot(nphot) must eventually be moved to GLOBAL later for vector version
+  INTEGER, PARAMETER :: nphot = 9
+  !   phot Photolysis frequencies 
+  REAL(kind=dp) :: phot(nphot)
+
+  INTEGER, PARAMETER,PUBLIC :: j_no2 = 1
+  INTEGER, PARAMETER,PUBLIC :: j_o33p = 2
+  INTEGER, PARAMETER,PUBLIC :: j_o31d = 3
+  INTEGER, PARAMETER,PUBLIC :: j_no3o = 4
+  INTEGER, PARAMETER,PUBLIC :: j_no3o2 = 5
+  INTEGER, PARAMETER,PUBLIC :: j_hono = 6
+  INTEGER, PARAMETER,PUBLIC :: j_h2o2 = 7
+  INTEGER, PARAMETER,PUBLIC :: j_ch2or = 8
+  INTEGER, PARAMETER,PUBLIC :: j_ch2om = 9
+
+  CHARACTER(LEN=15), PARAMETER, DIMENSION(NPHOT) :: phot_names =  (/ &
+     'J_NO2          ','J_O33P         ','J_O31D         ',          &
+     'J_NO3O         ','J_NO3O2        ','J_HONO         ',          &
+     'J_H2O2         ','J_HCHO_B       ','J_HCHO_A       '/)
+#ENDINLINE
+
+#INLINE F90_INIT
+  fix(indf_h2o) = qvap 
+#ENDINLINE
+
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_passive/chem_gasphase_mod.kpp
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_passive/chem_gasphase_mod.kpp	(revision 3297)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_passive/chem_gasphase_mod.kpp	(revision 3298)
@@ -11,7 +11,4 @@
 #HESSIAN    on
 #STOICMAT   on
-#INLINE F90_GLOBAL
-  !   Declaration of global variable declarations for photolysis will come from INLINE F90_DATA
-#ENDINLINE
 //
 // *******************************************************************************************
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_passive1/chem_gasphase_mod.kpp
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_passive1/chem_gasphase_mod.kpp	(revision 3298)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_passive1/chem_gasphase_mod.kpp	(revision 3298)
@@ -0,0 +1,34 @@
+
+//chem_gasphase_mod.kpp
+//
+//Former revisions
+//----------------
+// $Id: chem_gasphase_mod.kpp 2459 2017-09-13 14:10:33Z forkel $
+//
+#include      passive1.spc
+#include      passive1.eqn
+#INTEGRATOR rosenbrock
+#LANGUAGE   Fortran90
+#HESSIAN    on
+#STOICMAT   on
+//
+// *******************************************************************************************
+// *** adapt the lines below occurding to the photolysis reactions of your mechanism         *
+// *** adapt the number of photolysis frequencies NPHO                                       *
+// *** adapt/extend the indices in the INTEGER, PARAMETER,PUBLIC statement below             *
+// *** adapt/extend PHOT_NAMES: Note that the order of PHOT_NAMES and the indices must match *
+// *******************************************************************************************
+//
+#INLINE F90_DATA
+  !   INLINE F90_DATA: Declaration of global variables for photolysis
+  !   REAL(kind=dp) :: phot(nphot) must eventually be moved to GLOBAL later for vector version
+  INTEGER, PARAMETER :: nphot = 1
+  !   phot Photolysis frequencies
+  REAL(kind=dp) :: phot(nphot)
+
+  INTEGER, PARAMETER,PUBLIC :: j_no2 = 1
+
+  CHARACTER(LEN=15), PARAMETER, DIMENSION(NPHOT) :: phot_names =  (/ &
+     'J_NO2          '/)
+#ENDINLINE
+
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_passive1/passive1.eqn
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_passive1/passive1.eqn	(revision 3298)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_passive1/passive1.eqn	(revision 3298)
@@ -0,0 +1,10 @@
+
+{passive1.eqn
+Former revisions
+----------------
+ $Id$
+}
+#EQUATIONS
+
+{ passive1: does nothing }
+  { 1.}  PM10 = PM10 :                   1.0_dp  ;
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_passive1/passive1.spc
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_passive1/passive1.spc	(revision 3298)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_passive1/passive1.spc	(revision 3298)
@@ -0,0 +1,19 @@
+
+{passive1.spc
+Former revisions
+----------------
+ $Id$
+}
+#include atoms
+
+ #DEFVAR
+    PM10    = ignore ;
+
+#DEFFIX
+    H2O         = H + 2O ;      {water}
+    H2          = 2H ;          {molecular hydrogen}
+    O2      = 2O ;          {molecular oxygen}
+    N2      = 2N ;          {molecular nitrogen}
+    CH4         = C + 4H ;      {methane}
+    CO2     = C + 2O ;      {carbon dioxide}
+
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_phstat/chem_gasphase_mod.kpp
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_phstat/chem_gasphase_mod.kpp	(revision 3298)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_phstat/chem_gasphase_mod.kpp	(revision 3298)
@@ -0,0 +1,32 @@
+//chem_gasphase_mod.kpp
+//
+//Former revisions
+//----------------
+// $Id: chem_gasphase_mod.kpp 2459 2017-09-13 14:10:33Z forkel $
+//
+#include      phstat.spc
+#include      phstat.eqn
+#INTEGRATOR rosenbrock
+#LANGUAGE   Fortran90
+#HESSIAN    on
+#STOICMAT   on
+//
+// *******************************************************************************************
+// *** adapt the lines below occurding to the photolysis reactions of your mechanism         *
+// *** adapt the number of photolysis frequencies NPHO                                       *
+// *** adapt/extend the indices in the INTEGER, PARAMETER,PUBLIC statement below             *
+// *** adapt/extend PHOT_NAMES: Note that the order of PHOT_NAMES and the indices must match *
+// *******************************************************************************************
+//
+#INLINE F90_DATA
+  !   INLINE F90_DATA: Declaration of global variables for photolysis
+  !   REAL(kind=dp) :: phot(nphot) must eventually be moved to GLOBAL later for vector version
+  INTEGER, PARAMETER :: nphot = 1
+  !   phot Photolysis frequencies 
+  REAL(kind=dp) :: phot(nphot)
+
+  INTEGER, PARAMETER,PUBLIC :: j_no2 = 1
+
+  CHARACTER(LEN=15), PARAMETER, DIMENSION(NPHOT) :: phot_names =  (/ &
+     'J_NO2          '/)
+#ENDINLINE
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_phstat/phstat.eqn
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_phstat/phstat.eqn	(revision 3298)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_phstat/phstat.eqn	(revision 3298)
@@ -0,0 +1,9 @@
+{phstat.eqn
+Current revision
+----------------
+ 20180319 Photostationary O3-NO-NO2-equilibrium forkel
+}
+#EQUATIONS
+
+  { 1.}  NO2 + hv = NO + O3 :                   phot(j_no2)  ;
+  { 3.}  NO + O3 = NO2 :                     arr2(1.8E-12_dp, 1370.0_dp, temp) ;
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_phstat/phstat.spc
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_phstat/phstat.spc	(revision 3298)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_phstat/phstat.spc	(revision 3298)
@@ -0,0 +1,19 @@
+{phstat.spc
+Former revisions
+----------------
+ $Id: smog.spc 2459 2017-09-13 14:10:33Z forkel $
+}
+#include atoms
+
+ #DEFVAR  
+    O       = O ;      		{oxygen atomic ground state (3P)}
+    O3		= 3O ;          {ozone}  
+    NO		= N + O ;       {nitric oxide}  
+    NO2		= N + 2O ;      {nitrogen dioxide} 
+
+#DEFFIX
+    H2O		= H + 2O ;      {water}
+    H2		= 2H ;          {molecular hydrogen}
+    O2      = 2O ;          {molecular oxygen}              
+    N2      = 2N ;          {molecular nitrogen}              
+
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simple/chem_gasphase_mod.kpp
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simple/chem_gasphase_mod.kpp	(revision 3297)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simple/chem_gasphase_mod.kpp	(revision 3298)
@@ -1,3 +1,7 @@
 //chem_gasphase_mod.kpp
+//
+// Current revision
+// forkel 20.04.2018: added F90_INIT for initialization of fix compounds
+//
 //
 //Former revisions
@@ -11,7 +15,4 @@
 #HESSIAN    on
 #STOICMAT   on
-#INLINE F90_GLOBAL
-  !   Declaration of global variable declarations for photolysis will come from INLINE F90_DATA
-#ENDINLINE
 //
 // *******************************************************************************************
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simple/simple.eqn
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simple/simple.eqn	(revision 3297)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simple/simple.eqn	(revision 3298)
@@ -1,10 +1,11 @@
 {simple.eqn
-Former revisions
+Current revision
 ----------------
- $Id: smog.eqn 2459 2017-09-13 14:10:33Z forkel $
+ 201711   Created simple.eqn with 6 equations forkel
+ 20180316 Added equation no. 7                forkel
 }
 #EQUATIONS
 
-{ very simple mechanism - do NOT show to a chemist! }
+{ home made very simple mechanism - please do not show to a chemist! }
 
   { 1.}  NO2 + hv = NO + O3 :                   phot(j_no2)  ;
@@ -14,2 +15,3 @@
   { 5.}  RO2 + NO = NO2 + RCHO + HO2 :       arr2(4.2E-12_dp, -180.0_dp, temp);
   { 6.}  HO2 + NO = NO2 + OH :               arr2(3.7E-12_dp, -240.0_dp, temp) ;
+  { 7.}  NO2 + OH = HNO3     :               arr2(1.15E-11_dp, 0.0_dp, temp) ;
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simplep/chem_gasphase_mod.kpp
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simplep/chem_gasphase_mod.kpp	(revision 3298)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simplep/chem_gasphase_mod.kpp	(revision 3298)
@@ -0,0 +1,36 @@
+//chem_gasphase_mod.kpp
+//
+//Former revisions
+//----------------
+// $Id: chem_gasphase_mod.kpp 2459 2017-09-13 14:10:33Z forkel $
+//
+// 'simple' gas phase chemistry with additional tracer named PM10
+//
+#include      simplep.spc
+#include      simplep.eqn
+#INTEGRATOR rosenbrock
+#LANGUAGE   Fortran90
+#HESSIAN    on
+#STOICMAT   on
+//
+// *******************************************************************************************
+// *** adapt the lines below occurding to the photolysis reactions of your mechanism         *
+// *** adapt the number of photolysis frequencies NPHO                                       *
+// *** adapt/extend the indices in the INTEGER, PARAMETER,PUBLIC statement below             *
+// *** adapt/extend PHOT_NAMES: Note that the order of PHOT_NAMES and the indices must match *
+// *******************************************************************************************
+//
+#INLINE F90_DATA
+  !   INLINE F90_DATA: Declaration of global variables for photolysis
+  !   REAL(kind=dp) :: phot(nphot) must eventually be moved to GLOBAL later for vector version
+  INTEGER, PARAMETER :: nphot = 2
+  !   phot Photolysis frequencies 
+  REAL(kind=dp) :: phot(nphot)
+
+  INTEGER, PARAMETER,PUBLIC :: j_no2 = 1
+  INTEGER, PARAMETER,PUBLIC :: j_o31d = 2
+
+  CHARACTER(LEN=15), PARAMETER, DIMENSION(NPHOT) :: phot_names =  (/ &
+     'J_NO2          ','J_O31D         '/)
+#ENDINLINE
+
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simplep/simplep.eqn
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simplep/simplep.eqn	(revision 3298)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simplep/simplep.eqn	(revision 3298)
@@ -0,0 +1,19 @@
+{simplep.eqn
+Current revision
+----------------
+ 201711   Created simple.eqn with 6 equations forkel
+ 20180316  'simple' gas phase chemistry with additional tracer named PM10 forkel
+}
+#EQUATIONS
+
+{ home made very simple mechanism - please do not show to a chemist! }
+
+  { 1.}  NO2 + hv = NO + O3 :                   phot(j_no2)  ;
+  { 2.}  O3 + hv = 2OH + O2 :                   phot(j_o31d)  ;
+  { 3.}  NO + O3 = NO2 :                     arr2(1.8E-12_dp, 1370.0_dp, temp) ;
+  { 4.}  RH + OH = RO2 + H2O :               arr2(2.E-11_dp, 500.0_dp, temp) ;
+  { 5.}  RO2 + NO = NO2 + RCHO + HO2 :       arr2(4.2E-12_dp, -180.0_dp, temp);
+  { 6.}  HO2 + NO = NO2 + OH :               arr2(3.7E-12_dp, -240.0_dp, temp) ;
+  { 7.}  NO2 + OH = HNO3     :               arr2(1.15E-11_dp, 0.0_dp, temp) ;
+  { 8.}  PM10 = PM10 :                          1.0_dp  ;
+
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simplep/simplep.spc
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simplep/simplep.spc	(revision 3298)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_simplep/simplep.spc	(revision 3298)
@@ -0,0 +1,43 @@
+{simple.spc
+Former revisions
+----------------
+ $Id: smog.spc 2459 2017-09-13 14:10:33Z forkel $
+}
+#include atoms
+
+ #DEFVAR  
+    O       = O ;      		{oxygen atomic ground state (3P)}
+    O3		= 3O ;          {ozone}  
+    NO		= N + O ;       {nitric oxide}  
+    NO2		= N + 2O ;      {nitrogen dioxide} 
+    NO3		= N + 3O ;      {nitrogen trioxide} 
+    N2O5	= 2N + 5O ;     {dinitrogen pentoxide}           
+    HNO3	= H + N + 3O ;  { nitric acid }
+    HNO4	= H + N + 4O ;  {HO2NO2 pernitric acid}
+    H           = H ;           {hydrogen atomic ground state (2S)}
+    OH		= O + H ;       {hydroxyl radical}  
+    HO2		= H + 2O ;      {perhydroxyl radical}                     
+    H2O2	= 2H + 2O ;     {hydrogen peroxide} 
+    CH3     = C + 3H ;      {methyl radical}
+    CH3O    = C + 3H + O ;  {methoxy radical}
+    CH3O2   = C + 3H + 2O ; {methylperoxy radical}
+    CH3OOH  = C + 4H + 2O ; {CH4O2      methylperoxy alcohol}
+    HCO     = H + C + O ;   {CHO  formyl radical}
+    CH2O    = C + 2H + O ;  {formalydehyde}
+    CO      = C + O ;       {carbon monoxide}   
+
+    PM10    = ignore ;      {passive tracer}   
+    RH      = ignore ;
+    RO2     = ignore ;
+    RCHO    = ignore ;
+    RCOO2   = ignore ;
+    RCOO2NO2= ignore ;
+
+#DEFFIX
+    H2O		= H + 2O ;      {water}
+    H2		= 2H ;          {molecular hydrogen}
+    O2      = 2O ;          {molecular oxygen}              
+    N2      = 2N ;          {molecular nitrogen}              
+    CH4		= C + 4H ;      {methane} 
+    CO2     = C + 2O ;      {carbon dioxide}
+
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_smog/chem_gasphase_mod.kpp
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_smog/chem_gasphase_mod.kpp	(revision 3297)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/mechanisms/def_smog/chem_gasphase_mod.kpp	(revision 3298)
@@ -1,3 +1,7 @@
 //chem_gasphase_mod.kpp
+//
+// Current revision
+// forkel 20.04.2018: added F90_INIT for initialization of fix compounds
+//
 //
 //Former revisions
@@ -11,7 +15,4 @@
 #HESSIAN    on
 #STOICMAT   on
-#INLINE F90_GLOBAL
-  !   Declaration of global variable declarations for photolysis will come from INLINE F90_DATA
-#ENDINLINE
 //
 // *******************************************************************************************
@@ -36,2 +37,7 @@
 #ENDINLINE
 
+#INLINE F90_INIT
+  fix(indf_h2o) = qvap
+  fix(indf_o2)  = 0.2e+6_dp *  fakt
+  fix(indf_co2) = 400.0_dp *  fakt
+#ENDINLINE
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/run_kpp4palm.ksh
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/run_kpp4palm.ksh	(revision 3297)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/run_kpp4palm.ksh	(revision 3298)
@@ -29,4 +29,8 @@
 # -----------------
 # $Id$ 
+#  passed $MECH insted of $DEFDIR to kpp4palm.ksh                   forkel  25. Sept. 2018
+#  re-activaded  choice of deindexing method and vector mode        forkel  June 2018
+# 
+# 2718 2018-01-02 08:49:38Z maronga
 # Initial revision
 # 
@@ -72,12 +76,22 @@
 cd ..
 
-# run kpp4palm with default Setup
-#    -d   DEFDIR=$OPTARG;;          # directory of definition files
-#    -i   DE_INDEX="YES";;          # if set, deindexing
-#    -f   DE_INDEX_FAST="YES";;     # if set, fast deindexing
-#    -k   KEEP="NO";;               # keep Working directory
-#    -o   OUTDIR=$OPTARG;;          # Output directory of Geneated Code
-#    -p   PREFIX=$OPTARG;;          # Name Prefix
-#    -s   KPP_SOLVER=$OPTARG;;      # Name Prefix
+# run kpp4palm/bin/kpp4palm.ksh with the following Setup
+#    -d   DEFDIR=$OPTARG;;          # directory of definition files 
+#                                     (passed as `pwd`/mechanisms/def_$MECH)
+#    -m   MECH="smog";;             # chemical mechanism 
+#                                     (smog, simple, simplep, cbm4, phstat, passive, passive1)
+#    -i   DE_INDEX=2;;              # deindexing method (0,1,2,3; 0=no deindexing)
+#    -v   MODE="-v";;               # vector mode on (not working completely yet)
+#    -l   VLEN=$OPTARG;;            # Set vector length (not working completely yet)
+#    -k   KEEP="NO";;               # if "yes" keep Working directory
+#    -u   UPDT="NO";;               # if "yes" update the existing f90 code in the def_MECH directory
+#                                   # Use "YES" with care as the existing sample file is overwritten
+#
+##   Further options (not passed as changing does not make sense to change these)
+##    -f   DE_INDEX_FAST="YES";;     # if set, fast deindexing
+##    -o   OUTDIR=$OPTARG;;          # Output directory of Generated Code
+##                                     (`pwd`/../../../SOURCE)
+##    -p   PREFIX=$OPTARG;;          # Name Prefix (chem_gasphase_mod)
+##    -s   KPP_SOLVER=$OPTARG;;      # Name Prefix (rosenbrock)
 
  
@@ -85,17 +99,29 @@
 # use smog mechnism as default
 MECH=smog
+DEIN=2
 
-while  getopts m:k  opt   # get options
+while  getopts m:i:kuvl:  opt   # get options
 do case $opt in
       m)   MECH=$OPTARG;;          # mechanism name as part of mechanisms/def_[mechanism_name]
 
+      i)   DEIN=$OPTARG;;          # deindexing method (0,1,2,3; 0=no deindexing)
+
       k)   KEEP="-k";;             # keep Working directory
 
+      u)   UPDT="-u";;             # update sample output file
+
+      v)   MODE="-v";;             # vector mode on 
+
+      c)   COPY="-c";;             # copy output to def_MECH
+
+      l)   VLEN=$OPTARG;;          # Set vector length
+
       \?)  print ${0##*/} "unknown option:" $OPTARG
-           print "USAGE: ${0##*/} [ -m mechanism_name] [ -k] "
+           print "USAGE: ${0##*/} [ -m mechanism_name] [ -i n (n=0,1,2,3)] [ -k] [ -u] [ -v] [ -l N (N=vector length)]"
            exit 1;;
    esac
 done
-echo $MECH
+echo Now do kpp4palm for $MECH
 
-kpp4palm.ksh -d `pwd`/mechanisms/def_$MECH $KEEP
+# kpp4palm.ksh -d `pwd`/mechanisms/def_$MECH -i $DEIN $KEEP $UPDT $MODE -l $VLEN
+kpp4palm.ksh -m $MECH -i $DEIN $KEEP $UPDT $MODE -l $VLEN
